sstream_get_str_ex
3

# sstream_get_str_ex

read data from input stream

    #include <cds/serialize.h>

      int sstream_get_str_ex
      sstream_t *ss
      int len
      str_t *dst

## Description

Returns data buffer of requested length (`len`). If there is not enough data to read (less than `len` bytes), the function returns error. The memory can NOT be freed because it is a part of input buffer!

## Return value

Returns 0 on success, non-zero on error.

## See Also

, ,